com.google.cloud.dataflow.sdk.runners

## Class DataflowServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException
        - - com.google.cloud.dataflow.sdk.runners.DataflowServiceException

All Implemented Interfaces:
  Serializable

    public class DataflowServiceException
    extends DataflowJobException

Signals there was an error retrieving information about a job from the Cloud Dataflow Service.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class com.google.cloud.dataflow.sdk.runners.DataflowJobException

`getJob`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`